Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui.actions
Class LaunchAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.debug.ui.actions.LaunchAction

All Implemented Interfaces:
  IAction

public class LaunchAction
extends Action

Launches a launch configuration in a specific mode.

Clients are not intended to subclass this class; clients may instantiate this class.

Since:
  2.1

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`LaunchAction(ILaunchConfiguration configuration, String mode)` Constucts an action that launches the specified launch configuration in the specified mode.

Method Summary
`void` | `run()` The default implementation of this `IAction` method does nothing.
`void` | `runWithEvent(Event event)` If the user has control-clicked the launch history item, open the launch configuration dialog on the launch configuration, rather than running it.

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LaunchAction

    public LaunchAction(ILaunchConfiguration configuration,
                        String mode)

  Constucts an action that launches the specified launch configuration in the specified mode.

Parameters:
  `configuration` - launch configuration
  `mode` - launch mode - one of `ILaunchManager.RUN_MODE` or `ILaunchManager.DEBUG_MODE`

Method Detail

### run

    public void run()

  Description copied from class: `Action`
  The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`
  See Also:
    `IAction.run()`

### runWithEvent

    public void runWithEvent(Event event)

  If the user has control-clicked the launch history item, open the launch configuration dialog on the launch configuration, rather than running it.

  Specified by:
    `runWithEvent` in interface `IAction`
  Overrides:
    `runWithEvent` in class `Action`
  See Also:
    `IAction.runWithEvent(org.eclipse.swt.widgets.Event)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.